summaryrefslogtreecommitdiff
path: root/git-rebase--merge.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2014-02-27 14:01:44 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2014-02-27 14:01:44 -0800
commit62bef66fe783a6a49e4418b6ce194cc94017bc7c (patch)
treec25b0184452cd4bc65ccab75ae748391c6a9f7b5 /git-rebase--merge.sh
parentMerge branch 'al/docs' (diff)
parentpull: add the --gpg-sign option. (diff)
downloadtgif-62bef66fe783a6a49e4418b6ce194cc94017bc7c.tar.xz
Merge branch 'bc/gpg-sign-everywhere'
Teach "--gpg-sign" option to many commands that create commits. * bc/gpg-sign-everywhere: pull: add the --gpg-sign option. rebase: add the --gpg-sign option rebase: parse options in stuck-long mode rebase: don't try to match -M option rebase: remove useless arguments check am: add the --gpg-sign option am: parse options in stuck-long mode git-sh-setup.sh: add variable to use the stuck-long mode cherry-pick, revert: add the --gpg-sign option
Diffstat (limited to 'git-rebase--merge.sh')
-rw-r--r--git-rebase--merge.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-rebase--merge.sh b/git-rebase--merge.sh
index e7d96de9ad..5381857c59 100644
--- a/git-rebase--merge.sh
+++ b/git-rebase--merge.sh
@@ -27,7 +27,7 @@ continue_merge () {
cmt=`cat "$state_dir/current"`
if ! git diff-index --quiet --ignore-submodules HEAD --
then
- if ! git commit --no-verify -C "$cmt"
+ if ! git commit ${gpg_sign_opt:+"$gpg_sign_opt"} --no-verify -C "$cmt"
then
echo "Commit failed, please do not call \"git commit\""
echo "directly, but instead do one of the following: "